# Generated by Django 4.2.8 on 2024-04-03 08:54
"""Migration File"""
# pylint: disable=C0103

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json # pylint: disable=import-error


class Migration(migrations.Migration):
    """Migration class"""

    dependencies = [
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_rps_plugin', '0014_mapping_proxy_buffer_mapping_proxy_buffer_size_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='AclDeniedSource',
            fields=[
                ('custom_field_data', models.JSONField(blank=True, default=dict,
                    encoder=utilities.json.CustomFieldJSONEncoder)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('acl_source', models.CharField(max_length=18)),
                ('last_updated', models.DateTimeField(auto_now_add=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('mapping', models.OneToOneField(db_column='mapping_id',
                    on_delete=django.db.models.deletion.CASCADE, related_name='acl_denied_source',
                    to='netbox_rps_plugin.mapping')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem',
                    to='extras.Tag')),
            ],
            options={
                'ordering': ['id', 'mapping', 'acl_source', 'last_updated', 'created'],
            },
        ),
    ]
